Subject: Re: free_initmem() bug

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 3 Aug 2000 15:28:13 +0200

>
>free_initmem() must not be __init because that means sawing the branch
>underneat itselves, which may cause a crash.
>
>I also optimized the freeing of the various sections, both from a soure and
>object view.
>
>The patch is half tested, i.e. it compiles. Since I won't be able to do
bk for
>a while, can someone please take care of this? Thanks!

Ah, this might explain some problems I had with 2.4 hangs on freeing init
mem...

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/